Package org.bukkit.permissions

# Interface ServerOperator

All Known Subinterfaces:
  `AbstractArrow`, `AbstractHorse`, `AbstractSkeleton`, `AbstractVillager`, `Ageable`, `Allay`, `Ambient`, `Animals`, `AreaEffectCloud`, `ArmorStand`, `Arrow`, `Axolotl`, `Bat`, `Bee`, `Blaze`, `BlockCommandSender`, `Boat`, `Boss`, `Breedable`, `Bucketable`, `Camel`, `Cat`, `CaveSpider`, `ChestBoat`, `ChestedHorse`, `Chicken`, `Cod`, `CollarColorable`, `CommandMinecart`, `CommandSender`, `ComplexEntityPart`, `ComplexLivingEntity`, `ConsoleCommandSender`, `Cow`, `Creature`, `Creeper`, `Damageable`, `Dolphin`, `Donkey`, `DragonFireball`, `Drowned`, `Egg`, `ElderGuardian`, `EnderCrystal`, `EnderDragon`, `EnderDragonPart`, `Enderman`, `Endermite`, `EnderPearl`, `EnderSignal`, `Entity`, `Evoker`, `EvokerFangs`, `ExperienceOrb`, `Explosive`, `ExplosiveMinecart`, `FallingBlock`, `Fireball`, `Firework`, `Fish`, `FishHook`, `Flying`, `Fox`, `Frog`, `Ghast`, `Giant`, `GlowItemFrame`, `GlowSquid`, `Goat`, `Golem`, `Guardian`, `Hanging`, `Hoglin`, `HopperMinecart`, `Horse`, `HumanEntity`, `Husk`, `Illager`, `Illusioner`, `IronGolem`, `Item`, `ItemFrame`, `LargeFireball`, `LeashHitch`, `LightningStrike`, `LingeringPotion`, `LivingEntity`, `Llama`, `LlamaSpit`, `MagmaCube`, `Marker`, `MessageCommandSender`, `Minecart`, `Mob`, `Monster`, `Mule`, `MushroomCow`, `NPC`, `Ocelot`, `OfflinePlayer`, `Painting`, `Panda`, `Parrot`, `Permissible`, `Phantom`, `Pig`, `Piglin`, `PiglinAbstract`, `PiglinBrute`, `PigZombie`, `Pillager`, `Player`, `PolarBear`, `PoweredMinecart`, `Projectile`, `ProxiedCommandSender`, `PufferFish`, `Rabbit`, `Raider`, `RangedEntity`, `Ravager`, `RemoteConsoleCommandSender`, `RideableMinecart`, `Salmon`, `SchoolableFish`, `Sheep`, `Shulker`, `ShulkerBullet`, `Silverfish`, `SizedFireball`, `Skeleton`, `SkeletonHorse`, `Slime`, `SmallFireball`, `Snowball`, `Snowman`, `SpawnerMinecart`, `SpectralArrow`, `Spellcaster`, `Spider`, `SplashPotion`, `Squid`, `Steerable`, `StorageMinecart`, `Stray`, `Strider`, `Tadpole`, `Tameable`, `ThrowableProjectile`, `ThrownExpBottle`, `ThrownPotion`, `TippedArrow`, `TNTPrimed`, `TraderLlama`, `Trident`, `TropicalFish`, `Turtle`, `Vehicle`, `Vex`, `Villager`, `Vindicator`, `WanderingTrader`, `Warden`, `WaterMob`, `Witch`, `Wither`, `WitherSkeleton`, `WitherSkull`, `Wolf`, `Zoglin`, `Zombie`, `ZombieHorse`, `ZombieVillager`

All Known Implementing Classes:
  `BufferedCommandSender`, `PermissibleBase`, `TimingsReportListener`

public interface ServerOperator
Represents an object that may become a server operator, such as a `Player`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOp()`
Checks if this object is a server operator
`void`
`setOp(boolean value)`
Sets the operator status of this object

## Method Details

### isOp

boolean isOp()
Checks if this object is a server operator

Returns:
  true if this is an operator, otherwise false

### setOp

void setOp(boolean value)
Sets the operator status of this object

Parameters:
  `value` - New operator value